﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Ejemplo : MonoBehaviour
{
    
    public Transform cuboViajero;
    public float velocidadViaje = 0.5f;
    public Transform cuboGiratorio;
    public float velocidadGiro = 90f;
    private Vector3 orientacion;
    void Start()
    {
        Debug.Log("Hola, mundo");
        orientacion = cuboGiratorio.eulerAngles;
    }
    void Update()
    {
        // desplaza un cubo en el eje x
        Vector3 posicion = cuboViajero.position;
        posicion.x += Time.deltaTime * velocidadViaje;
        cuboViajero.position = posicion;
        // gira el otro cubo con respecto a dos ejes
        orientacion.x += Time.deltaTime * velocidadGiro;
        orientacion.z += Time.deltaTime * velocidadGiro;
        cuboGiratorio.eulerAngles = orientacion;
    }
}
